<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Documento sin título</title>
<style type="text/css">


input:required + label::after 
{
	content:"*";
}

input:valid {
	border: 1px solid green;
}

input:invalid {
	border: 1px solid red;
}

input:focus{
	background-color:#CCCCCC;
}

</style>
</head>

<body>
<form>
<input id="nombre" type="text" name="nombre" required>
<label for="nombre">Nombre Completo</label>
<input type="submit" value="enviar">
</form>
</body>
</html>
